POST
/api/users/invites/{token}/acceptAccept an invite
Accepts an invite and creates the user with the provided password. This endpoint is unauthenticated and protected by the token itself.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
tokenstringrequired
The invite token
Password to set for the new user
passwordstringrequired
The password the user wants to set. Must be at least 8 characters long and contain at least one uppercase letter, one digit, and one special character (any character that is not a letter or digit, including spaces).
200Invite accepted successfully
successbooleanrequired
Whether the invite was accepted successfully
400Bad Request
404Invite not found or invalid token
412Precondition failed - embedded IdP is not enabled or invite expired
422Validation failed
500Internal Server Error
Error handling
A 400 is returned: Bad Request. A 404 is returned: Invite not found or invalid token. A 412 is returned: Precondition failed - embedded IdP is not enabled or invite expired. A 422 is returned: Validation failed. A 500 is returned: Internal Server Error.